Subject: bug#73896: closed (Re: [bug#73896] [PATCH v4 01/20] gnu: rust-widestring-0.4: Update to 0.4.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jan 2025 15:12:02 +0000

Your bug report

#73896: [PATCH] gnu: clamav: Add release-monitoring-url property.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73896: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73896] [PATCH v4 01/20] gnu: rust-widestring-0.4: Update to 0.4.3.
From: Efraim Flashner <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Thu, 9 Jan 2025 17:11:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jan 06, 2025 at 01:36:38PM +0100, Nicolas Graves wrote:
> On 2024-11-18 10:18, Ludovic Courtès wrote:
> 
> > Hi Nicolas,
> >
> > This series involves triggers a world rebuilds (more or less), as can be
> > seen by running ‘guix build inkscape’.
> >
> > Do you think we could avoid that?
> 
> Happy New Year!
> 
> I'm not sure from which package it comes, but this patch series only
> updates a few rust crates (rust-widestring-0.4,
> rust-enum-primitive-derive-0.2), the rest are additions.
> 
> The option that makes the most sense is to merge it with the rust-team
> branch:
> - rust-widestring-0.4 is already at version 0.4.3
> - rust-enum-primitive-derive-0.2 is not but doesn't seem to trigger
> much rebuilds
> 
> Added Efraim to the loop.

I applied the patches to the rust-team branch.  It doesn't seem to cause
a world-rebuild on rust-team, so it shouldn't delay merging of the
branch.

edit: This has been sitting in my drafts for a few days. I normally
write the emails and then send them off when I finally push the commits
but I forgot for a day or two.  This is now in master.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: clamav: Add release-monitoring-url property.
From: Nicolas Graves <[email-masked]>
To: [email-masked]
Cc: Nicolas Graves <[email-masked]>
Date: Sun, 20 Oct 2024 01:08:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/antivirus.scm (clamav)
[source]<uri>: Add secondary release URI.
[properties]: Add release-monitoring-url.
---
 gnu/packages/antivirus.scm | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/antivirus.scm b/gnu/packages/antivirus.scm
index d061b18b11..2161d60398 100644
--- a/gnu/packages/antivirus.scm
+++ b/gnu/packages/antivirus.scm
@@ -48,8 +48,13 @@ (define-public clamav
     (version "0.103.11")
     (source (origin
               (method url-fetch)
-              (uri (string-append "https://www.clamav.net/downloads/production/"
-                                  "clamav-" version ".tar.gz"))
+              (uri
+               (list
+                (string-append "https://www.clamav.net/downloads/production/"
+                               "clamav-" version ".tar.gz")
+                (string-append "https://github.com/Cisco-Talos/clamav/"
+                               "releases/download/clamav-" version
+                               "/clamav-" version ".tar.gz")))
               (sha256
                (base32
                 "04by1g3p6awhi3j1y6zpwzmasdnvjgi6lwm34l2gadlwgkdfpmv1"))
@@ -144,6 +149,8 @@ (define-public clamav
 flexible and scalable multi-threaded daemon, a command line scanner, and
 advanced tool for automatic database updates.  The core of the package is an
 anti-virus engine available in the form of a shared library.")
+    (properties `((release-monitoring-url
+                   . "https://github.com/Cisco-Talos/clamav/releases")))
     (license (list license:gpl2+        ;ClamAV itself
                    license:lgpl2.1      ;libclamav/mspack.[ch]
                    license:public-domain ;libclamav/7z/*, libclamav/rijndael.[ch], etc...
-- 
2.46.0